services:
  valkey:
    image: valkey/valkey:8
    ports:
      - "6379:6379"
    command: valkey-server --requirepass "valkey"
    healthcheck:
      test: ["CMD", "valkey-cli", "-a", "valkey", "ping"]
      interval: 5s
      timeout: 5s
      retries: 5
